<?php 
	
	$height = 12;
	
	//check all vars are set
	if ( ! isset($_GET['current_position'])) { die(); }
	if ( ! isset($_GET['min'])) { die(); }
	if ( ! isset($_GET['max'])) { die(); }
	if ( ! isset($_GET['width'])) { die(); }
	
	//load variables (intval deals with invalid variables)
	$current_position = intval($_GET['current_position']);
	$min = intval($_GET['min']);
	$max = intval($_GET['max']);
	$width = intval($_GET['width']);
	
	//create image header
	header("Content - type: image/png");
	
	//create image canvas
	$image = @imagecreate($width, $height);
	
	//set background colour
	imagecolorallocate($image, 255, 255, 255);
	
	//workout the percentage
	$percentage = number_format(($current_position / $max) * 100, 0); //gets default
	
	//draw the percentage rectangle
	$rectangle_color = imagecolorallocate($image, 200, 200, 200);
	$percentage_cover = number_format(($percentage / 100) * $width, 0);
	imagefilledrectangle($image, $percentage_cover, $height + 1, 0, 0, $rectangle_color );
	
	//set font colour
	$font_color = imagecolorallocate($image, 0, 0, 0);
	
	//get font
	$font = "arial.ttf";
	
	//get font size
	$font_size = '8';
	
	//center the percentages
	if (strlen($percentage) ==  1) { //0-9
		$centered_width = ($width / 2) - 6;
	}
	if (strlen($percentage) ==  2) { //10-99
		$centered_width = ($width / 2) - 10;
	}
	if (strlen($percentage) ==  3) { //100
		$centered_width = ($width / 2) - 15;
	}
	
	//write text on image
	imageTTFtext($image, $font_size, 2, $centered_width, $font_size + 2, $font_color, $font, $percentage . "%");
	
	//create the PNG image and send to the browser
	imagepng($image);
	
	//destroy the image resource
	imagedestroy($image);
	
?>